Bug 10832 - ndrdump is not dumping correctly the drsuapi_DsBindInfo52
ndrdump is not dumping correctly the drsuapi_DsBindInfo52
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: DCE-RPCs and pipes
unspecified
All All
: P5 normal
: ---
Assigned To: Stefan Metzmacher
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-09-23 19:45 UTC by Matthieu Patou
Modified: 2014-10-13 10:43 UTC (History)
1 user (show)

See Also:


Attachments
Bind to be parsed (88 bytes, application/octet-stream)
2014-09-23 19:45 UTC, Matthieu Patou
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Matthieu Patou 2014-09-23 19:45:10 UTC
Created attachment 10303 [details]
Bind to be parsed

./bin/ndrdump drsuapi drsuapi_DsBind out ../dsbind_out
pull returned NT_STATUS_OK
    drsuapi_DsBind: struct drsuapi_DsBind
        out: struct drsuapi_DsBind
            bind_info                : *
                bind_info: struct drsuapi_DsBindInfoCtr
                    length                   : 0x00000034 (52)
                    __ndr_length             : 0x00000034 (52)
                    info                     : union drsuapi_DsBindInfo(case 52)
                    Fallback: struct drsuapi_DsBindInfoFallBack
                        info                     : DATA_BLOB length=52
[0000] 7F FF FF 3F BA 16 AD 44   0F 70 87 4A 9A EE EC 2E   ...?...D .p.J....
[0010] 1B D9 23 1C D4 01 00 00   00 00 00 00 0A 00 00 00   ..#..... ........
[0020] B9 5E 65 0F 2D 40 51 49   9B 35 9F 0B 51 04 2C E9   .^e.-@QI .5..Q.,.
[0030] 7F 00 00 00                                       ....
            bind_handle              : *
                bind_handle: struct policy_handle
                    handle_type              : 0x00000000 (0)
                    uuid                     : 414b58a3-68f7-4ee6-9e9d-8d26b26d3c81
            result                   : WERR_OK
dump OK
Comment 1 Matthieu Patou 2014-10-12 23:39:35 UTC
This is fixed in master, should we backport it ?